Bug 489023 - emacs fails to annotate files from git repository
emacs fails to annotate files from git repository
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 14:39 EST by Marc Milgram
Modified: 2009-09-22 05:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 05:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Milgram 2009-03-06 14:39:54 EST
Description of problem:
git reports an error instead of annotating files for emacs.

Version-Release number of selected component (if applicable):
emacs-22.3-4.fc10.i386


How reproducible:
easily

Steps to Reproduce:
1. In emacs, access a file under a git repository.
2. Enter ^C v g    (or Tools->Version Control->Annotate)
3. Look at Annotate window
  
Actual results:
Annotate window displays:
error: unknown option `-rmaster'
usage: git blame [options] [rev-opts] [rev] [--] file

Expected results:
The file to be annotated.

Additional info:
Comment 1 Tom Tromey 2009-08-21 11:19:06 EDT
FWIW, this works fine for me with the Emacs 23 in F11.
Comment 2 Daniel Novotny 2009-09-22 05:22:27 EDT
working in F11, F12 => closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.